.cardItem {
  background-color: var(--white-color);
  border: var(--border-main);
  border-radius: var(--bor-rad-10);
  display: flex;
  flex-direction: column;
  padding: 1rem;
  gap: 1rem;
  transition: var(--transition-all);
}

.cardItem:hover {
  border: 1px solid rgba(var(--orange-color-rgb), 0.4);
  /* Box Shadow */
  -webkit-box-shadow: 0px 0px 12px 0px rgba(var(--orange-color-rgb), 0.4);
  -moz-box-shadow: 0px 0px 12px 0px rgba(var(--orange-color-rgb), 0.4);
  box-shadow: 0px 0px 12px 0px rgba(var(--orange-color-rgb), 0.4);
}

.cardItem > .cardItemImg {
  height: 240px;
  width: 100%;
  border-radius: var(--bor-rad-10);
  flex-shrink: 0;
  overflow: hidden;
  cursor: pointer;
}

.cardItem > .cardItemImg > img {
  transition: var(--transition-all);
}

.cardItem > .cardItemImg:hover > img {
  transform: scale(1.12);
}
.cardItemContent {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  flex: 1;
  gap: 0.5rem;
}
.cardItemContent.cardItemContentLoading {
  min-height: 350px;
}

.cardItemContent > .cardItemTitle {
  font-size: 20px;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  word-break: break-word;
  text-transform: capitalize;
}

.cardItemContent > .cardItemDesc {
  padding-bottom: 1rem;
}

.cardItemContent > .cardItemFooter {
  margin-top: auto;
  flex-shrink: 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.cardItemContent > .cardItemFooter > .cardItemPrice {
  color: var(--orange-color);
  font-size: 28px;
}

/*  **************  MEDIA QUERIES ( MEDIUM DEVICES )  ****************  */
@media screen and (max-width: 1023px) {
  .cardItem > .cardItemImg {
    height: 300px;
  }

  .cardItemContent > .cardItemFooter {
    flex-direction: column-reverse;
    gap: 1rem;
  }

  .cardItemContent > .cardItemFooter > .cardItemPrice {
    letter-spacing: 0.5rem;
  }
}

/*  **************  MEDIA QUERIES ( MEDIUM DEVICES )  ****************  */
@media screen and (max-width: 500px) {
  .cardContainer {
    grid-template-columns: 1fr;
  }
}
